Bug 1290895 - pyanaconda.nm.SettingsNotFoundError: SettingsNotFoundError('enp0s20u3i1',)
pyanaconda.nm.SettingsNotFoundError: SettingsNotFoundError('enp0s20u3i1',)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:b439dc186805a6edcb4acac2e39...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 14:52 EST by A.J. Werkman
Modified: 2016-12-20 11:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:56:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.73 MB, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: anaconda.log (44.80 KB, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: dnf.log (328.88 KB, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: dnf.rpm.log (358.45 KB, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: environ (459 bytes, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: lsblk_output (2.25 KB, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: nmcli_dev_list (1.52 KB, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: os_info (451 bytes, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: storage.log (290.23 KB, text/plain)
2015-12-11 14:52 EST, A.J. Werkman
no flags Details
File: syslog (112.51 KB, text/plain)
2015-12-11 14:53 EST, A.J. Werkman
no flags Details
File: ifcfg.log (2.88 KB, text/plain)
2015-12-11 14:53 EST, A.J. Werkman
no flags Details
File: packaging.log (3.45 KB, text/plain)
2015-12-11 14:53 EST, A.J. Werkman
no flags Details
File: program.log (125.34 KB, application/octet-stream)
2015-12-11 14:53 EST, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2015-12-11 14:52:32 EST
Description of problem:
Basic installation of Workstation over network.

Version-Release number of selected component:
anaconda-23.19.10-1

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/nm.py", line 756, in nm_device_setting_value
    raise SettingsNotFoundError(name)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/network.py", line 1057, in <genexpr>
    for dev in nm.nm_devices() if nm.nm_device_type_is_ethernet(dev))):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/network.py", line 1057, in disableIPV6
    for dev in nm.nm_devices() if nm.nm_device_type_is_ethernet(dev))):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/network.py", line 1133, in write_network_config
    disableIPV6(rootpath)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/kickstart.py", line 1097, in execute
    network.write_network_config(storage, ksdata, instClass, iutil.getSysroot())
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 89, in doConfiguration
    ksdata.network.execute(storage, ksdata, instClass)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
pyanaconda.nm.SettingsNotFoundError: SettingsNotFoundError('enp0s20u3i1',)

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz ip=172.18.92.101::172.18.92.65:255.255.255.192:ST0003.lc.digifarma.nl::off noipv6 nameserver=172.18.92.65 inst.stage2=hd:UUID=e8507ec4-a731-44e5-8e24-729e418227e3
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 A.J. Werkman 2015-12-11 14:52:43 EST
Created attachment 1104800 [details]
File: anaconda-tb
Comment 2 A.J. Werkman 2015-12-11 14:52:45 EST
Created attachment 1104801 [details]
File: anaconda.log
Comment 3 A.J. Werkman 2015-12-11 14:52:48 EST
Created attachment 1104802 [details]
File: dnf.log
Comment 4 A.J. Werkman 2015-12-11 14:52:51 EST
Created attachment 1104803 [details]
File: dnf.rpm.log
Comment 5 A.J. Werkman 2015-12-11 14:52:52 EST
Created attachment 1104804 [details]
File: environ
Comment 6 A.J. Werkman 2015-12-11 14:52:54 EST
Created attachment 1104805 [details]
File: lsblk_output
Comment 7 A.J. Werkman 2015-12-11 14:52:55 EST
Created attachment 1104806 [details]
File: nmcli_dev_list
Comment 8 A.J. Werkman 2015-12-11 14:52:56 EST
Created attachment 1104807 [details]
File: os_info
Comment 9 A.J. Werkman 2015-12-11 14:52:59 EST
Created attachment 1104808 [details]
File: storage.log
Comment 10 A.J. Werkman 2015-12-11 14:53:01 EST
Created attachment 1104809 [details]
File: syslog
Comment 11 A.J. Werkman 2015-12-11 14:53:03 EST
Created attachment 1104810 [details]
File: ifcfg.log
Comment 12 A.J. Werkman 2015-12-11 14:53:04 EST
Created attachment 1104811 [details]
File: packaging.log
Comment 13 A.J. Werkman 2015-12-11 14:53:06 EST
Created attachment 1104812 [details]
File: program.log
Comment 14 Fedora End Of Life 2016-11-24 09:10:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:56:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.